@echo off
rem ********************************************************************************
rem * 
rem * MOD : FormatControl
rem * ROL : Check if a netcdf file is compliant with a format definition (argo, oco,
rem *       oceansites, ...)
rem * AUT : Ifremer
rem * VER : control.bat applicationVersion
rem *
rem ********************************************************************************


rem --------------------------------------------------------------------------------
rem - Configuration
rem - JAVA_HOME is the path where the java runtime environment (jre) is installed
rem - JAVA_BIN is the path where the java binaries are installed
rem - DISK is the letter of the disk where the application FormatControl is installed
rem - EXE is the path where the application FormatControl is installed
rem --------------------------------------------------------------------------------
SET JAVA_HOME="C:\Program Files\Java\jre1.5.0_06"
SET JAVA_BIN="C:\Program Files\Java\jre1.5.0_06\bin"
SET DISK=Y:
SET EXE="D:\val\bin\co03\co0308\co030803\exe"



rem --------------------------------------------------------------------------------
rem - Launch the application
rem --------------------------------------------------------------------------------
SET CLASSPATH=%JAVA_HOME%;.;./RULES;./CLASSES;./PROPERTIES;./LIB/netcdfUI-4.2.jar;./LIB/nlog4j-1.2.25.jar;./LIB/xercesImpl.jar
%DISK%
cd %EXE%
"%JAVA_BIN%\java" -cp %CLASSPATH% -Dapplication.properties=application.properties oco.FormatControl %1
pause


